[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Gnash-dev] gnash on Mac OS X

From: Markus Gothe
Subject: Re: [Gnash-dev] gnash on Mac OS X
Date: Mon, 6 Aug 2007 23:02:01 +0200

AGG isn't supported on Aqua yet... you should use --enable-gui=gtk instead until I've finished the aqua gui.


On 06 Aug, 2007, at 22:01 , Thomas Inskip wrote:

Hi. I am still having problems getting gnash to build. I will summarize what I've done so far:

I am working from HEAD off cvs.

Installed the following using fink:

Built  agg 2.5.

Installed ffmpeg 0.4.9 using darwinports because by default it builds static libraries only, and apparently gnash wants dynamic ones (darwinports does whatever patching is necessary).

Then configured, built (from gnash directory):
./configure --disable-klash --enable-gui=aqua --with-agg-incl=../ agg-2.5/include --with-agg-lib=../agg-2.5/src --with-ffmpeg-incl=/ opt/local/include --with-ffmpeg-lib=/opt/local/lib

The build fails at this point:
/bin/sh ../libtool --tag=CXX --mode=link g++ -g -O2 - D_THREAD_SAFE -W -Wall -Wcast-align -Wcast- qual -Wpointer-arith -Wreturn-type -lltdl -L/opt/ local/lib -L/opt/local/lib -lavcodec -L/opt/local/lib -lavformat - lavcodec -lz -lavutil -L/opt/local/lib -lavutil -L/opt/local/ lib -lavcodec -lz -lavutil -L/opt/local/lib -lxml2 -L/sw/lib - lboost_date_time -lboost_thread -lpthread -L/opt/local/lib -L/opt/ local/lib -lavcodec -L/opt/local/lib -lavformat -lavcodec -lz - lavutil -L/opt/local/lib -lavutil -L/opt/local/lib -lavcodec - lz -lavutil -o gnash -lltdl -export-dynamic gnash.o ../libamf/ ../ backend/ ../server/ ../ libgeometry/ ../libbase/ -framework Carbon -framework ApplicationServices -framework OpenGL -framework AGL -L/Users/tomas/Develop/agg-2.5/src -lagg - lltdl -L/opt/local/lib -L/opt/local/lib -lavcodec -L/opt/local/lib - lavformat -lavcodec -lz -lavutil -L/opt/local/lib -lavutil -L/ opt/local/lib -lavcodec -lz -lavutil -L/opt/local/lib -lxml2 -L/ sw/lib -lboost_date_time -lboost_thread -lpthread -L/opt/local/ lib -L/opt/local/lib -lavcodec -L/opt/local/lib -lavformat - lavcodec -lz -lavutil -L/opt/local/lib -lavutil -L/opt/local/ lib -lavcodec -lz -lavutil -lm libtool: link: cannot find the library `' or unhandled argument `'

During configure, there is also a message (not a warning or error) about the installed version of libcurl not supporting rtmp. Now, rtmp is a streaming protocol. Where does curl come in for that? Perhaps it's really rtmpt?

Thanks for your help.

On Jul 30, 2007, at 4:10 PM, strk wrote:

On Mon, Jul 30, 2007 at 03:52:33PM -0400, Thomas Inskip wrote:
There are definitely a lot of warnings, and possibly errors.  Here
are a few: variable `NULL' not defined

Install a newer automake. What version are you running now ?


Attachment: PGP.sig
Description: This is a digitally signed message part

reply via email to

[Prev in Thread] Current Thread [Next in Thread]